Qyra
ReferenceUntagged

List AI agent evaluations

Get all AI agent evaluations for admin

GET/api/v1/aiAgents/admin/evals

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Query parameters

NameTypeRequiredDescription
pagenumberNo
pageSizenumberNo
projectUuidsarray[string]No
agentUuidsarray[string]No
searchstringNo
sortFieldstringNo
sortDirectionstringNo

Responses

200 — Success

{
  "results": {
    "pagination": {
      "page": 0,
      "pageSize": 0,
      "totalResults": 0,
      "totalPageCount": 0
    },
    "data": {
      "evals": [
        {
          "latestRun": {
            "createdAt": "2024-01-01T00:00:00.000Z",
            "status": "pending",
            "runUuid": "string",
            "completedAt": "2024-01-01T00:00:00.000Z"
          },
          "promptCount": 0,
          "project": {
            "name": "string",
            "uuid": "string"
          },
          "agent": {
            "name": "string",
            "uuid": "string",
            "imageUrl": "string"
          },
          "updatedAt": "2024-01-01T00:00:00.000Z",
          "createdAt": "2024-01-01T00:00:00.000Z",
          "description": "string",
          "title": "string",
          "evalUuid": "string"
        }
      ]
    }
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}